/*-------------------------------------------------------------------
 *
 *  @file data.h
 *
 *  @author Collin R. Mulliner <collin@mulliner.org>
 *
 *  (c) Collin R. Mulliner
 *
 *  This is part of the Bluetooth Location Tracker (BLT) project.
 *
 *-------------------------------------------------------------------*/

/*
 * This file is part of blt_server
 *
 * blt_server is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * blt_server is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with blt_server; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
 
#ifndef __DATA_H__
#define __DATA_H__

#define BLT_DC_RUNNING			0
#define BLT_DC_DISCONNECTED	1
#define BLT_DC_PUSH				2

struct blt_data_client_session_t {
	
	struct blt_server_session_t *server;	/**< pointer to global data */
	int myListIndex;								/**< index to trackers[] in server_session */
	pthread_t myThread;							/**< thread data */
	
	int mySocket;							/**< communication socket */
	struct sockaddr_in clientAddr;	/**< the clients address */
	socklen_t clientAl;
	
	unsigned char status;			/**< status of connection */

	struct blt_pusher_t myPush;	/**< push events */
	unsigned short int isPush;		/**< use pushing */
};
#endif

void *blt_data_client(void *args);
int blt_dc_printDev(struct blt_device_status_t *dev, int fd);
void blt_dc_init(struct blt_data_client_session_t *dcs, struct blt_server_session_t *server);
