/*-------------------------------------------------------------------
 *
 *  @file location.h
 *
 *  @author Collin R. Mulliner <collin@mulliner.org>
 *
 *  (c) Collin R. Mulliner
 *
 *  This is part of the Bluetooth Location Tracker (BLT) project.
 *
 *-------------------------------------------------------------------*/

/*
 * This file is part of blt_server
 *
 * blt_server is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * blt_server is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with blt_server; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef __LOCATION_H__
#define __LOCATION_H__

#define BLT_LOCATION_NAMES_FILE "blt_location_names.ln"

#define BLT_LOCATION_NAME_LENGTH 100

struct blt_location_name_t {
	unsigned int la;
	unsigned int lg;
	char name[BLT_LOCATION_NAME_LENGTH+1];
	char devname[BLT_LOCATION_NAME_LENGTH+1];
	
	char login[20];
	char password[20];
};

struct blt_loc_names_t {
	struct blt_location_name_t *locs;
	unsigned int numLocations;
	
	pthread_rwlock_t lock;
};

#endif

int blt_ln_getlocation(struct blt_loc_names_t *ln, char *login, struct blt_location_name_t *loc);
int blt_ln_load(struct blt_loc_names_t *ln);
void blt_ln_destroy(struct blt_loc_names_t *ln);
void blt_ln_init(struct blt_loc_names_t *ln);
void blt_ln_deinit(struct blt_loc_names_t *ln);
